using System;
using System.Collections.Generic;
using System.Text;

namespace ShapeBlending
{
    class Material
    {
        private float[] m_ambient = new float[] { 0.2f, 0.2f, 0.2f };
        private float[] m_diffuse = new float[] { 0.8f, 0.8f, 0.8f };
        private float[] m_specular = new float[] { 0.0f, 0.0f, 0.0f };
        private float m_alpha = 1.0f;
        private float m_shineness = 0.0f;

        public float[] Ambient
        {
            get { return m_ambient; }
            set { m_ambient = value; }
        }

        public float[] Diffuse
        {
            get { return m_diffuse; }
            set { m_diffuse = value; }
        }

        public float[] Specular
        {
            get { return m_specular; }
            set { m_specular = value; }
        }

        public float Alpha
        {
            get { return m_alpha; }
            set { m_alpha = value; }
        }

        public float Shineness
        {
            get { return m_shineness; }
            set { m_shineness = value; }
        }
    }
}
